Bug 461101 (CVE-2008-3915) - CVE-2008-3915 kernel: nfsd: fix buffer overrun decoding NFSv4 acl
Summary: CVE-2008-3915 kernel: nfsd: fix buffer overrun decoding NFSv4 acl
Status: CLOSED ERRATA
Alias: CVE-2008-3915
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20080904,public=20080901,imp...
Keywords: Security
Depends On: 461130
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-04 07:46 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 12:35 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-23 22:38:06 UTC


Attachments (Terms of Use)
Upstream patch for this issue (1.01 KB, patch)
2008-09-04 13:34 UTC, Eugene Teo (Security Response)
no flags Details | Diff
Proposed backported patch for MRG kernel (583 bytes, patch)
2008-09-05 04:15 UTC, Eugene Teo (Security Response)
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0857 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-10-07 19:18:59 UTC

Comment 1 Eugene Teo (Security Response) 2008-09-04 13:24:18 UTC
Description of problem:
The array allocated in init_state() is not large enough. It is possible to write past the end of the allocated memory.

Comment 4 Eugene Teo (Security Response) 2008-09-04 13:34:11 UTC
Created attachment 315754 [details]
Upstream patch for this issue

Comment 6 Eugene Teo (Security Response) 2008-09-05 04:15:51 UTC
Created attachment 315826 [details]
Proposed backported patch for MRG kernel

Comment 7 Luis Claudio R. Goncalves 2008-09-05 12:02:13 UTC
patch queued for -79

Comment 8 Vincent Danen 2010-12-23 22:38:06 UTC
This was addressed via:

MRG Realtime for RHEL 5 Server (RHSA-2008:0857)


Note You need to log in before you can comment on or make changes to this bug.